<?php
    /*Feito por Victor Rangel
    Produto Odhen*/
namespace Teknisa\MAN\Services;

use Teknisa\MAN\Factories;

class ModeloImpressoraService {

	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function getNovoCodigo($params){
		$query = $this->entityManager->getConnection()->fetchAll(self::getNovoCodigo, $params);
		return $query;
	}
	
	const getNovoCodigo = "SELECT 
							MAX(CDIMPRESSORA)+1 AS NOVOCODIGO
						   FROM 
							IMPRESSORA
						   WHERE NRORG = :NRORG";
}
?>